Redmine - Defect #30426

Table rows are not highlighted on mouseover on some pages
2019-01-14 16:45 - VD DV

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.4.8

Resolution: Fixed Affected version: 347
Description

| am testing redmine v4.0.0 and discovered that hovering on some pages does not work.
Till now | discovered that problem on:

- .../projects/ProjectName/settings/activities

- .../admin/projects

- .../users

- .../groups

- .../Iroles

- .../[trackers

and so on....

With hovering | mean: when mouse pointer is over some row on table, whole row is highlited (yellow like in version e.g 2.3).

Without hovering, it is realy difficult to not to make mistake while selecting action on far right on that row, while row label is on the far
left.

Associated revisions

Revision 17800 - 2019-01-16 08:17 - Go MAEDA

Table rows are not highlighted on mouseover on some pages (#30426).

Patch by Marius BALTEANU.

Revision 17801 - 2019-01-16 08:19 - Go MAEDA
Merged r17800 from trunk to 4.0-stable (#30426).

Revision 17802 - 2019-01-16 08:20 - Go MAEDA
Merged r17800 from trunk to 3.4-stable (#30426).

Revision 17803 - 2019-01-17 02:03 - Go MAEDA
Reverted r17800 (#30426).

Undesirable behavior in the issues list.

Revision 17804 - 2019-01-17 02:18 - Go MAEDA
Merged r17803 from trunk to 4.0-stable in order to revert r17801 (#30426).

Revision 17805 - 2019-01-17 02:20 - Go MAEDA
Merged r17803 from trunk to 3.4-stable in order to revert r17802 (#30426).

Revision 17806 - 2019-01-18 09:31 - Go MAEDA

Table rows are not highlighted on mouseover on some pages (#30426).

Patch by Marius BALTEANU.

Revision 17807 - 2019-01-18 10:06 - Go MAEDA
Merged r17806 from trunk to 4.0-stable (#30426).
Revision 17808 - 2019-01-18 10:08 - Go MAEDA
Merged r17806 from trunk to 3.4-stable (#30426).

History

#1 - 2019-01-15 00:32 - Go MAEDA
- Status changed from New to Confirmed
- Target version set to Candidate for next minor release

- Affected version changed from 4.0.0 to 3.4.7

Confirmed the problem in 3.4.7 and 4.0.0. No problem was found in 3.3.9.

#2 - 2019-01-15 05:50 - Marius BALTEANU

- Target version changed from Candidate for next minor release to 3.4.8

The fix is quite simple:

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

index fab59d6a..80defce 100644

-—— a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -352,13 +352,13 @Q@ tr.group a.toggle-all { color: #aaa; font-size: 80%; display:none; float:right;
tr.group:hover a.toggle-all { display:inline;}

a.toggle-all:hover {text-decoration:none;}

—table.list tbody tr:hover { background-color:#ffffdd; }
—table.list tbody tr.group:hover { background-color:inherit; }
table td {padding:2px;}

table p {margin:0;}

table.list:not (.odd-even) tbody tr:nth-child(odd), .odd, #issue-changesets div.changeset:nth-child(odd) { bac
kground-color:#f6£7£8; }

table.list:not (.odd-even) tbody tr:nth-child(even), .even, #issue-changesets div.changeset:nth-child(even) {
background-color: #fff; }

+table.list tbody tr:hover { background-color:#ffffdd !important; }

+table.list tbody tr.group:hover { background-color:inherit !important; }

tr.builtin td.name {font-style:italic;}

Even if I'm not a fan of "limportant", | think that in this case it is ok to use it.
#3 - 2019-01-15 12:52 - VD DV

Is same fix applicable to v4.0.0? If not, can you provide fixed file (I assume it is only application.css), to upload to v4.0.0 redmine installation?

#4 - 2019-01-15 21:22 - Marius BALTEANU
VD DV wrote:

Is same fix applicable to v4.0.0? If not, can you provide fixed file (I assume it is only application.css), to upload to v4.0.0 redmine installation?

Yes, it is.

#5 - 2019-01-16 00:34 - Go MAEDA

- Subject changed from Hovering on most pages does not work as before to Table rows are not highlighted on mouseover on some pages

#6 - 2019-01-16 08:24 - Go MAEDA
- Status changed from Confirmed to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you all for reporting and fixing this issue.

VD DV wrote:
Is same fix applicable to v4.0.0? If not, can you provide fixed file (I assume it is only application.css), to upload to v4.0.0 redmine installation?

Please replace application.css with
https://www.redmine.org/projects/redmine/repository/revisions/17801/raw/branches/4.0-stable/public/stylesheets/application.css.

#7 - 2019-01-17 01:37 - Go MAEDA
- File undesirable-highlighting-in-issues-list@2x.png added
- Status changed from Closed to Reopened

The change r17800 caused undesirable behavior in the issues list. Multiple selected issues are also highlighted on mouseover, so you can not read
the text.

| will revert the change.

# Tracker Status Priority

Bug Normal
Normal bb

Normal Private issue (

v Normal Issue Doing tt
B Bug New Normal Blocked Issue]
8 7 Bug New Normal Issue due tod

#8 - 2019-01-17 02:06 - Marius BALTEANU
Go MAEDA wrote:

The change r17800 caused undesirable behavior in the issues list. Multiple selected issues are also highlighted on mouseover, so you can not
read the text.

| will revert the change.

# Tracker Status Priority

1 25 Bug New Normal go
Normal bb
Normal Private issue ¢

v Issue Doing tt
9 Bug New Normal Blocked Issue
8 7 Bug New Normal Issue due tod

Sorry, I'll rewrite the fix.

#9 - 2019-01-17 20:35 - Marius BALTEANU
- File fix_30426.patch added

Attached a better fix. I've checked both scenarios and it works well.

Sorry for my previous fix and a note to myself: "limportant is never safe"

#10 - 2019-01-18 09:34 - Go MAEDA

- Status changed from Reopened to Resolved

Marius BALTEANU wrote:

Attached a better fix. I've checked both scenarios and it works well.

Committed. Thanks!

a note to myself: "limportant is never safe"

2025-07-09 3/4


https://www.redmine.org/projects/redmine/repository/revisions/17801/raw/branches/4.0-stable/public/stylesheets/application.css
https://www.redmine.org/projects/redmine/repository/svn/revisions/17800
https://www.redmine.org/projects/redmine/repository/svn/revisions/17800

| must not forget this, too.

#11 - 2019-01-18 10:08 - Go MAEDA

- Status changed from Resolved to Closed

Files

undesirable-highlighting-in-issues-list@2x.png
fix_30426.patch
